//
//  Timeline.swift
//  Tusker
//
//  Created by  Shadowfactson 8/21/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation
import MastodonKit

enum Timeline {
    
    case home, local, federated
    
    func request(range: RequestRange = .default) -> Request<[Status]> {
        switch self {
        case .home:
            return Timelines.home(range: range)
        case .local:
            return Timelines.public(local: true, range: range)
        case .federated:
            return Timelines.public(local: false, range: range)
        }
    }
    
}
